ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
category
base
contact-us
cover
curation
epg
episode
navigation
notice
page
payment/purchase
payment
playback
program
programs
search
tv-guide
user/change-email
user
continuous-watching
user/favorites
user/qr-login
    Check status for QR LoginpostInitialize QR LogingetVerfiy code and get auth with QR codepostVerfiy code for QR Loginpost
user/reset-password
user/social-auth
user/verify-email
Schemas
powered by Zudoku
ODX/V2 API
ODX/V2 API

user/qr-login


Check status for QR Login

POST
https://odkmedia.io/odx/api/v2
/user/qr/check/

Check status for QR Login. If success, will be returned user's token

Check status for QR Login › query Parameters

debug
​string

If value is "on", debug is included in response.

Check status for QR Login › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

Check status for QR Login › Request Body

OdxV2QRLoginVerifyCode
verify_code
​string · minLength: 6 · maxLength: 6 · required

Check status for QR Login › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​OdxV2QRLoginVerifyCheck
POST/user/qr/check/
curl https://odkmedia.io/odx/api/v2/user/qr/check \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --data '{ "verify_code": 123456 }'
Example Request Body
{ "verify_code": 123456 }
json
application/json
Example Responses
No example specified for this content type
application/json

Initialize QR Login

GET
https://odkmedia.io/odx/api/v2
/user/qr/initialize/

Get initial values for QR login

Initialize QR Login › query Parameters

debug
​string

If value is "on", debug is included in response.

Initialize QR Login › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk

Initialize QR Login › Responses

200
code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​OdxV2QRLoginInitialization
GET/user/qr/initialize/
curl https://odkmedia.io/odx/api/v2/user/qr/initialize \ --header 'Service-Name: <string>'
Example Responses
{ "code": "Code", "messages": {}, "result": { "login_url": "https://preview.ondemandkorea.com/tv-login", "qrcode": "iVBORw0KGgoAAAANSUhEUgAAAXIAAAFyAQAAAADAX2ykAAACeUlEQVR4nO2bQW7jMAxFH0cGurSBOUCP4tygRyrmSHMD+yhzA3lZQMafhSTHSTDNFHCDCCA3Uey3IPBBipRoE1+x+ceXcHDeeeedd9555//FW7EOYDXm+gCWujw90B/nD+ZHSVIEWDrsPQJjDLITQZKkS/67/XH+IL4rv8sA428AQjIAzUNALGAQ0oP8cf5Yvrt+ML+louoYB7vpnp7Nf+e/zK91ryXcNscN+O/8zmr89oKSizuYX1MnljXH717lZ/Pf+f/ic8E8kKsqxj8vubSyE2utpB/pj/MH8Tl+zxFaqio+TPNrogT24/xx/lie3PyMSmgi7FaSEpr6lJFs07P57/wdK/pGchPMqLStJCBIU1/+ur6t8bv+SCzDvpaaDcTyE1isvng2/52/YyXvAtCrxCp9iemcpBU37tn8d/6OnQ8fi8gEQZ9Lq/qiLznb9W2Nr8VThHP8nmuu/Mzrq2b5nb5SDFXVequQa2rA47dNfmt+LmJ12l5nVbcmyfVtjL/IzwQxxn3rWzV3fRvlN31LVVXb4U3pCN7/ts7bidVgeVEd4gD9GsBsCGKMq58/t8zXHTahidVqO/xhjPqwW/67/XH+KH53/lwONOK5YK5DG2VP9vzcHr+/PMgnHdsmTL+dREe8P2qZP89P7hveGARLR9Z8eqA/zh/Fb/m5FtFZVUL9K/n5RsP8xf1g3O4Cc7t0Ia3vvy3y1/OTRg+aXxOa39YOCMnyTeFD/HH+WP5aX7F0yejrpN04ARCS5dWz+e/853Y9P8l84mLqOd/5r+bx2zK/zU/au5SnJmslHWSnh/vj/EH87RcKn5p/3+28884777zzB/B/ATC8/+TJ+uPjAAAAAElFTkSuQmCC", "verify_code": "123456" }, "title": "Title" }
json
application/json

Verfiy code and get auth with QR code

POST
https://odkmedia.io/odx/api/v2
/user/qr/verify-auth/

Verfiy code and get auth with QR code

Verfiy code and get auth with QR code › query Parameters

debug
​string

If value is "on", debug is included in response.

Verfiy code and get auth with QR code › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

Verfiy code and get auth with QR code › Request Body

verify_code
​VerifyCode · minLength: 6 · maxLength: 6 · required

Verfiy code and get auth with QR code › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
POST/user/qr/verify-auth/
curl https://odkmedia.io/odx/api/v2/user/qr/verify-auth \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "verify_code": "123456" }'
Example Request Body
{ "verify_code": "123456" }
json
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": { "status": "authenticated", "token": "kb6bbNhXdslUbafBvKwB1Gt515Z2nsuBIbmcN4L8PBjzMtNmPmEjPYjmHdP5", "verify_code": "123456" } }
json
application/json

Verfiy code for QR Login

POST
https://odkmedia.io/odx/api/v2
/user/qr/verify/

Verify code for QR Login

Verfiy code for QR Login › query Parameters

debug
​string

If value is "on", debug is included in response.

Verfiy code for QR Login › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

Verfiy code for QR Login › Request Body

OdxV2QRLoginVerifyCode
verify_code
​string · minLength: 6 · maxLength: 6 · required

Verfiy code for QR Login › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
result
​emptyResult
POST/user/qr/verify/
curl https://odkmedia.io/odx/api/v2/user/qr/verify \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "verify_code": 123456 }'
Example Request Body
{ "verify_code": 123456 }
json
application/json
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": {} }
json
application/json

user/favoritesuser/reset-password